Bug 88239 - Impress: Wrong icon in new presentantions for changed default slide master in the slidemaster's pane in the sidebar.
Summary: Impress: Wrong icon in new presentantions for changed default slide master i...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Master-Pages
  Show dependency treegraph
 
Reported: 2015-01-09 15:57 UTC by aprekates
Modified: 2018-09-26 02:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description aprekates 2015-01-09 15:57:54 UTC
Problem description: 

After changing the default the related  icon wont change color. When i create 

Steps to reproduce:
1. In a new presentantion change slidemaster's background 
2. Watch that the icon of the slide master is still white
3. Create a new slide and now voila! the icon gets updated (minor annoyance)
4. Create a new presentantion
5. Go from sidebar to the slidemaster's pane 
6. See that default's slidemaster color has the changed fill from your initial presentantion. 
7. Create a new slide in the new presentations and see that is white as it should be.
8. Exit and restart and the icon is ok again.

Current behavior: 

Expected behavior:
In new presentantions the default slidemaster's icon should reflect correct settings of the background which is white regardless what changes a used did in other presentantions.
Comment 1 Robinson Tryon (qubit) 2015-01-15 05:38:28 UTC
TESTING with LO 4.4.0.2 + Ubuntu 14.04

(In reply to aprekates from comment #0)
> Steps to reproduce:
> 1. In a new presentantion change slidemaster's background

- Click on 'Master Pages' button
- Right-click on the 'default' Master used in this presentation -> Edit Master
- Format -> Page -> Background -> Fill -> Color -> Chart 2
 
> 2. Watch that the icon of the slide master is still white

Under the heading Master Pages: Available for Use?  That's the only slide in my interface that is still white (and not red (aka "Chart 2" color).

> 3. Create a new slide and now voila! the icon gets updated (minor annoyance)

- First I clicked the 'Close Master View' button.
- Then Insert -> Slide

No change for me: The slide under 'Available for Use' is still white, and the one under 'Used in This Presentation' is red.

So I don't think that I'm seeing the same behavior as you at this point.

> 4. Create a new presentantion
> 5. Go from sidebar to the slidemaster's pane 
> 6. See that default's slidemaster color has the changed fill from your
> initial presentantion. 

CONFIRMED: The slide master is in fact red (which is *not* what I'd expect).

Status -> NEW

> 7. Create a new slide in the new presentations and see that is white as it
> should be.

CONFIRMED

> 8. Exit and restart and the icon is ok again.
> 
> Current behavior: 
> 
> Expected behavior:
> In new presentantions the default slidemaster's icon should reflect correct
> settings of the background which is white regardless what changes a used did
> in other presentantions.

Ayup.
Comment 2 Buovjaga 2015-01-15 19:34:17 UTC
(In reply to Robinson Tryon (qubit) from comment #1)
> > 4. Create a new presentantion
> > 5. Go from sidebar to the slidemaster's pane 
> > 6. See that default's slidemaster color has the changed fill from your
> > initial presentantion. 
> 
> CONFIRMED: The slide master is in fact red (which is *not* what I'd expect).
> 
> Status -> NEW
> 
> > 7. Create a new slide in the new presentations and see that is white as it
> > should be.
> 
> CONFIRMED

Same result with 3.3.0.

Ubuntu 14.10 64-bit
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 3 QA Administrators 2016-01-17 20:01:41 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-03-06 13:41:26 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2017-09-25 08:22:33 UTC
(In reply to Robinson Tryon (qubit) from comment #1)
> > 4. Create a new presentantion
> > 5. Go from sidebar to the slidemaster's pane 
> > 6. See that default's slidemaster color has the changed fill from your
> > initial presentantion. 
> 
> CONFIRMED: The slide master is in fact red (which is *not* what I'd expect).

I was asked privately to re-test this so I will clarify more: what is shown colored at this step is the "Used in this presentation" preview pic.

Still repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 09122a537318f7ada075820f3b1ef83a64e56751
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on September 10th 2017
Comment 6 QA Administrators 2018-09-26 02:43:52 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug